Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.svg
Interface SVGTextContentElement

All Superinterfaces:
  org.w3c.dom.Element, org.w3c.dom.events.EventTarget, org.w3c.dom.Node, SVGElement, SVGExternalResourcesRequired, SVGLangSpace, SVGStylable, SVGTests

All Known Subinterfaces:
  SVGAltGlyphElement, SVGTextElement, SVGTextPathElement, SVGTextPositioningElement, SVGTRefElement, SVGTSpanElement

All Known Implementing Classes:
  SVGOMAltGlyphElement, SVGOMTextElement, SVGOMTextPathElement, SVGOMTextPositioningElement, SVGOMTRefElement, SVGOMTSpanElement

public interface SVGTextContentElement
extends SVGElement, SVGTests, SVGLangSpace, SVGExternalResourcesRequired, SVGStylable, org.w3c.dom.events.EventTarget

Field Summary
`static short` | `LENGTHADJUST_SPACING`
`static short` | `LENGTHADJUST_SPACINGANDGLYPHS`
`static short` | `LENGTHADJUST_UNKNOWN`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`int` | `getCharNumAtPosition(SVGPoint point)`
`float` | `getComputedTextLength()`
`SVGPoint` | `getEndPositionOfChar(int charnum)`
`SVGRect` | `getExtentOfChar(int charnum)`
`SVGAnimatedEnumeration` | `getLengthAdjust()`
`int` | `getNumberOfChars()`
`float` | `getRotationOfChar(int charnum)`
`SVGPoint` | `getStartPositionOfChar(int charnum)`
`float` | `getSubStringLength(int charnum, int nchars)`
`SVGAnimatedLength` | `getTextLength()`
`void` | `selectSubString(int charnum, int nchars)`

Methods inherited from interface org.w3c.dom.svg.SVGElement
`getId, getOwnerSVGElement, getViewportElement, getXMLbase, setId, setXMLbase`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.w3c.dom.svg.SVGTests
`getRequiredExtensions, getRequiredFeatures, getSystemLanguage, hasExtension`

Methods inherited from interface org.w3c.dom.svg.SVGLangSpace
`getXMLlang, getXMLspace, setXMLlang, setXMLspace`

Methods inherited from interface org.w3c.dom.svg.SVGExternalResourcesRequired
`getExternalResourcesRequired`

Methods inherited from interface org.w3c.dom.svg.SVGStylable
`getClassName, getPresentationAttribute, getStyle`

Methods inherited from interface org.w3c.dom.events.EventTarget
`addEventListener, dispatchEvent, removeEventListener`

Field Detail

### LENGTHADJUST_UNKNOWN

    public static final short LENGTHADJUST_UNKNOWN

See Also:
  Constant Field Values

### LENGTHADJUST_SPACING

    public static final short LENGTHADJUST_SPACING

See Also:
  Constant Field Values

### LENGTHADJUST_SPACINGANDGLYPHS

    public static final short LENGTHADJUST_SPACINGANDGLYPHS

See Also:
  Constant Field Values

Method Detail

### getTextLength

    public SVGAnimatedLength getTextLength()

### getLengthAdjust

    public SVGAnimatedEnumeration getLengthAdjust()

### getNumberOfChars

    public int getNumberOfChars()

### getComputedTextLength

    public float getComputedTextLength()

### getSubStringLength

    public float getSubStringLength(int charnum,
                                    int nchars)
                             throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### getStartPositionOfChar

    public SVGPoint getStartPositionOfChar(int charnum)
                                    throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### getEndPositionOfChar

    public SVGPoint getEndPositionOfChar(int charnum)
                                  throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### getExtentOfChar

    public SVGRect getExtentOfChar(int charnum)
                            throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### getRotationOfChar

    public float getRotationOfChar(int charnum)
                            throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### getCharNumAtPosition

    public int getCharNumAtPosition(SVGPoint point)

### selectSubString

    public void selectSubString(int charnum,
                                int nchars)
                         throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.